iOS 用 New Relic の互換性と要件

New Relic Mobile は、Apple の App Store、Google Play Store、Amazon の AppStore やその他の標準的なアプリケーションストアに準拠しています。アカウント管理者は、New Relic Mobile をインストールし、設定する前に、iOS アプリがこのページにある New Relic Mobile の要件を満たしていることを確認してください。

データ収集のセキュリティ対策として、New Relic は、アプリケーションサーバーが SHA-2 (256 ビット)をサポートしていることを要求しています。 SHA-1 は対象外です。
New Relic Mobile iOS の要件
OS iOS 6 以上

Bitcode のサポートは、SDK のバージョン 5.3.0 以上です。

API/SDK NSURLConnection、AFNetworking、ASIHttpRequest ネットワーク API
言語 Objective-C

Swift: ネットワークトレースとクラッシュレポートの両方で動作します。デフォルトではインタラクショントレースでは動作しません。有効にするには、Swift でのインタラクショントレースの有効化をご覧ください。

デバイス iOS 互換のデバイス (iPhones、iPads など)
ファイルサイズ New Relic Mobile は、iOS リリースアプリに約 260K を追加します。
アーキテクチャ ARM 32 ビット/64 ビット
: ASIHTTPRequest は iOS エージェント 5.8.2 以降では非推奨です。

関連情報

関連する情報は以下のとおりです。